io.undertow.attribute

## Class SslSessionIdAttribute

- java.lang.Object
- - io.undertow.attribute.SslSessionIdAttribute

All Implemented Interfaces:
  ExchangeAttribute

    public class SslSessionIdAttribute
    extends Object
    implements ExchangeAttribute

Author:
  Stuart Douglas

### Nested Class Summary

Nested Classes
`static class` `SslSessionIdAttribute.Builder`

### Field Summary

Fields
`static SslSessionIdAttribute` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`SslSessionIdAttribute()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `readAttribute(HttpServerExchange exchange)` Resolve the attribute from the HTTP server exchange.
`String` `toString()`
`void` `writeAttribute(HttpServerExchange exchange, String newValue)` Sets a new value for the attribute.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final SslSessionIdAttribute INSTANCE

### Constructor Detail

#### SslSessionIdAttribute

    public SslSessionIdAttribute()

### Method Detail

#### readAttribute

    public String readAttribute(HttpServerExchange exchange)

Description copied from interface: `ExchangeAttribute`
Resolve the attribute from the HTTP server exchange. This may return null if the attribute is not present.

Specified by:
  `readAttribute` in interface `ExchangeAttribute`
Parameters:
  `exchange` - The exchange
Returns:
  The attribute

#### writeAttribute

    public void writeAttribute(HttpServerExchange exchange,
                               String newValue)
                        throws ReadOnlyAttributeException

Description copied from interface: `ExchangeAttribute`
Sets a new value for the attribute. Not all attributes are writable.

Specified by:
  `writeAttribute` in interface `ExchangeAttribute`
Parameters:
  `exchange` - The exchange
  `newValue` - The new value for the attribute
Throws:
  `ReadOnlyAttributeException` - when attribute cannot be written

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`